%mesh_wp_listP
%mesh the SHA spectra of the   wp from the list

WL=input('for wavelets input # of  level; for wavelet packets from the ListBB --0; ?')
Ll=1;
if WL>0
    De=3*WL+1;
    list=[];
    
    for kk=1:WL
        A=[[kk 1 2];[kk 2 1];[kk 2 2]];
        list=[list;A];
    end
  list=[list;[kk 1 1]];  
else list=ListBB;
end

N=256;
n=1:N/2;
nn=N/2:-1:1;
[vli,~]=size(list);
De=max(list(:,1));
Par1=input('spline order;0--former; ?')

if Par1>0
    P=Par1;
end


  GS=[];
SP=[];   
for kk=1:De
 for mm=0:2^kk-1  
[spli, fspli]=wp_genP([kk,mm],P,N,Ll);
SP{kk,mm+1}=spli;
GS{kk,mm+1}=fspli;end
end
 figure;
   for kk=1:vli;
     lev=list(kk,1);
     l=list(kk,2);
     tl=list(kk,3);
         qk=abs(GS{lev,l});
         qm=abs(GS{lev,tl});
        q=qk'*qm;
         mesh((q(nn,n)));
         hold on;
     
 end
 